pchbend
Prev | Orchestra Opcodes and Operators | Next

## pchbend

pchbend — Get the current pitch-bend value for this channel.

## Description

Get the current pitch-bend value for this channel.

## Syntax

    ibend pchbend [imin] [, imax]

    kbend pchbend [imin] [, imax]

## Initialization

imin, imax (optional) -- set minimum and maximum limits on values obtained

## Performance

Get the current pitch-bend value for this channel. Note that this access to pitch-bend data is independent of the MIDI pitch, enabling the value here to be used for any arbitrary purpose.

## Examples

Here is an example of the pchbend opcode. It uses the file pchbend.csd.

Example 345. Example of the pchbend opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in   No messages  MIDI in
    -odac           -iadc     -d         -M0  ;;;RT audio I/O with MIDI in
    ; For Non-realtime ouput leave only the line below:
    ; -o pchbend.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      i1 pchbend

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for 12 seconds.
    i 1 0 12
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

aftouch, ampmidi, cpsmidi, cpsmidib, midictrl, notnum, octmidi, octmidib, pchmidi, pchmidib, veloc

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Example written by Kevin Conder.

Prev | Up | Next
pcauchy | Home | pchmidi